﻿@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@model NacGroup.Module.StaticPage.Models.Schema.StaticPage
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = Model.Name;
    ViewData["MetaDescription"] = Model.MetaDescription;
    ViewData["MetaKeyword"] = Model.MetaKeyword;
    Layout = "_Layout";
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/static-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/static-page.js"></script>
}

<main id="" class="static-page">
    <h1 class="hidden">@(Model.MetaTitle)</h1>
    <div id="breadcrumb" class=""
         style="background-image: url('@(coversrc != null ? coversrc[0]["Src"].ToString():"")');">
        <div class="container text-left">
            <h2 class="breadcrumb-header h1 text-uppercase text-bold">@(Model.Name)</h2>
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Trang chủ</a></li>
                <li class="active">@(Model.Name)</li>
            </ul>
        </div>
    </div>
    <!-- blogcat -->
    <section class="static container">
        <h2 class="section-header text-center title-with-img-bottom h3 m-bot-4">
            <span>@(Model.Name)</span>
            @*<span class="icon"><img src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/global/img/img-line.png" alt=""></span>*@
        </h2>
        <div class="section-body blog-content">
            @{
                if (Model.IsHtml)
                {
                    @Html.Raw(Model.PageContent)
                }
                else
                {
                    @Html.Raw(Model.PageContent)
                }
            }
        </div>
    </section>
    <!-- /#blogcat -->
</main>